s3games.gui

## Class RobotWindow

- java.lang.Object
- - s3games.gui.ControlWindow
  - - s3games.gui.RobotWindow

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener

      public class RobotWindow
      extends ControlWindow
      implements java.awt.event.ActionListener

  A simple control window for letting the user control when to make a new move with the robot arm, and perhaps do some other operations on the robot

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RobotWindow(Robot robot)` construct the robot control panel window

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` action listener for the buttons
    `protected void` | `addButtonsToPanel(javax.swing.JPanel panel)` add the robot control panel buttons to the panel
    `void` | `close()` close the robot window
    `void` | `moving(boolean b)` allow performing the move now

    - ### Methods inherited from class s3games.gui.ControlWindow

      `addMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RobotWindow

          public RobotWindow(Robot robot)

      construct the robot control panel window

  - ### Method Detail

    - #### addButtonsToPanel

          protected void addButtonsToPanel(javax.swing.JPanel panel)

      add the robot control panel buttons to the panel
      Specified by:
        `addButtonsToPanel` in class `ControlWindow`

    - #### moving

          public void moving(boolean b)

      allow performing the move now

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      action listener for the buttons
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### close

          public void close()

      close the robot window
      Overrides:
        `close` in class `ControlWindow`